ECHO OFF
REM THIS FILE CONTAINS A BATCH JOB THAT CAN BE EXECUTED FROM A SHORTCUT.
REM
REM NOTE 2/2008: THE INSTALLATION WILL NOW CREATE THE DATAPLOT ENVIRONMENT
REM              VARIABLES DIRECTLY.
REM
REM              HOWEVER, THE TCL/TK INSTALLATION IS INDEPENDENT OF
REM              DATAPLOT.  THERE ARE TWO ISSUES TO CONSIDER:
REM
REM              1) DATAPLOT DOES NOT CONTROL THE DRIVE WHERE TCL/TK
REM                 IS INSTALLED.  DO THE FOLLOWING:
REM
REM                 a) INITIALIZE TO C:.
REM                 b) CHECK FOR THE ENVIRONMENT VARIABLE "TCLDRV".
REM                 c) CHECK TO SEE IF THE FIRST ARGUMENT PASSED IN
REM                    IS "-C", "-D", "-E", .... "-Z".
REM
REM              2) THERE ARE 3 MAJOR VERSIONS OF TCL/TL:
REM                 TCL/TK 8.3, TCL/TK 8.4, TCL/TK 8.5, TCL/TK 8.6.  DO THE
REM                 FOLLOWING:
REM
REM                 a) INITIALIZE TO 8.3.
REM                 b) CHECK FOR THE ENVIRONMENT VARIABLE "TCLVER".
REM                 c) CHECK TO SEE IF THE FIRST ARGUMENT PASSED IN
REM                    IS "3", "4", "5", OR "6".
REM
REM NOTE 9/2017: VERSION 8.6.6 OF TCL/TK CHANGES THE DIRECTORY STRUCTURE,
REM              SO ADD "6.6" AS A SEPARATE OPTION.
REM
REM STEP 1: CHECK THE DRIVE FOR TCL/TK
SET TCLDRV=%TCLDRIVE%
IF "%TCLDRV%" == "" SET TCLDRV=C
IF "%1" == "" GOTO NODRIVE
IF "%1" == "C" SET TCLDRV=C
IF "%1" == "C" SHIFT
IF "%1" == "c" SET TCLDRV=C
IF "%1" == "c" SHIFT
IF "%1" == "D" SET TCLDRV=D
IF "%1" == "D" SHIFT
IF "%1" == "d" SET TCLDRV=D
IF "%1" == "d" SHIFT
IF "%1" == "E" SET TCLDRV=E
IF "%1" == "E" SHIFT
IF "%1" == "e" SET TCLDRV=E
IF "%1" == "e" SHIFT
IF "%1" == "F" SET TCLDRV=F
IF "%1" == "F" SHIFT
IF "%1" == "f" SET TCLDRV=F
IF "%1" == "f" SHIFT
IF "%1" == "G" SET TCLDRV=G
IF "%1" == "G" SHIFT
IF "%1" == "g" SET TCLDRV=G
IF "%1" == "g" SHIFT
IF "%1" == "H" SET TCLDRV=H
IF "%1" == "H" SHIFT
IF "%1" == "h" SET TCLDRV=H
IF "%1" == "h" SHIFT
IF "%1" == "I" SET TCLDRV=I
IF "%1" == "I" SHIFT
IF "%1" == "i" SET TCLDRV=I
IF "%1" == "i" SHIFT
IF "%1" == "J" SET TCLDRV=J
IF "%1" == "J" SHIFT
IF "%1" == "j" SET TCLDRV=J
IF "%1" == "j" SHIFT
IF "%1" == "K" SET TCLDRV=K
IF "%1" == "K" SHIFT
IF "%1" == "k" SET TCLDRV=K
IF "%1" == "k" SHIFT
IF "%1" == "L" SET TCLDRV=L
IF "%1" == "L" SHIFT
IF "%1" == "l" SET TCLDRV=L
IF "%1" == "l" SHIFT
IF "%1" == "M" SET TCLDRV=M
IF "%1" == "M" SHIFT
IF "%1" == "m" SET TCLDRV=M
IF "%1" == "m" SHIFT
IF "%1" == "N" SET TCLDRV=N
IF "%1" == "N" SHIFT
IF "%1" == "n" SET TCLDRV=N
IF "%1" == "n" SHIFT
IF "%1" == "O" SET TCLDRV=O
IF "%1" == "O" SHIFT
IF "%1" == "o" SET TCLDRV=O
IF "%1" == "o" SHIFT
IF "%1" == "P" SET TCLDRV=P
IF "%1" == "P" SHIFT
IF "%1" == "p" SET TCLDRV=P
IF "%1" == "p" SHIFT
IF "%1" == "Q" SET TCLDRV=Q
IF "%1" == "Q" SHIFT
IF "%1" == "q" SET TCLDRV=Q
IF "%1" == "q" SHIFT
IF "%1" == "R" SET TCLDRV=R
IF "%1" == "R" SHIFT
IF "%1" == "r" SET TCLDRV=R
IF "%1" == "r" SHIFT
IF "%1" == "S" SET TCLDRV=S
IF "%1" == "S" SHIFT
IF "%1" == "s" SET TCLDRV=S
IF "%1" == "s" SHIFT
IF "%1" == "T" SET TCLDRV=T
IF "%1" == "T" SHIFT
IF "%1" == "t" SET TCLDRV=T
IF "%1" == "t" SHIFT
IF "%1" == "U" SET TCLDRV=U
IF "%1" == "U" SHIFT
IF "%1" == "u" SET TCLDRV=U
IF "%1" == "u" SHIFT
IF "%1" == "V" SET TCLDRV=V
IF "%1" == "V" SHIFT
IF "%1" == "v" SET TCLDRV=V
IF "%1" == "v" SHIFT
IF "%1" == "W" SET TCLDRV=W
IF "%1" == "W" SHIFT
IF "%1" == "w" SET TCLDRV=W
IF "%1" == "w" SHIFT
IF "%1" == "X" SET TCLDRV=X
IF "%1" == "X" SHIFT
IF "%1" == "x" SET TCLDRV=X
IF "%1" == "x" SHIFT
IF "%1" == "Y" SET TCLDRV=Y
IF "%1" == "Y" SHIFT
IF "%1" == "y" SET TCLDRV=Y
IF "%1" == "y" SHIFT
IF "%1" == "Z" SET TCLDRV=Z
IF "%1" == "Z" SHIFT
IF "%1" == "z" SET TCLDRV=Z
IF "%1" == "z" SHIFT
:NODRIVE
REM
REM STEP 2: CHECK THE VERSION FOR TCL/TK
REM         TREAT 6.6 DISTINCT FROM 6 AS
REM         DIRECTORY STRUCTURE HAS CHANGED.
REM         ALSO, SINCE VERSION 8.6.6 IS NOW
REM         THE CURRENT VERSION ON THE ACTIVE STATES
REM         SITE, MAKE THIS THE DEFAULT.
REM
REM         SET PATH FOR TCL/TK AND ADDITIONAL TCL/TK VARIABLES
REM         BASED ON DRIVE AND VERSION
REM
REM SET THE DEFAULT IN CASE VERSION NOT GIVEN
REM
SET TCLVER=6.6
SET TCLDIR=%TCLDRV%:\ACTIVETCL
SET TCL_LIBRARY=%TCLDIR%\TCL8.6
SET TK_LIBRARY=%TCLDIR%\TK8.6
REM VERSION 8.3
IF "%1" == "3" (
   SET TCLVER=3
   SET TCLDIR=%TCLDRV%:\Program Files
   SET TCL_LIBRARY=%TCLDIR%\TCL8.3
   SET TK_LIBRARY=%TCLDIR%\TK8.3
   SHIFT
)
REM VERSION 8.4
IF "%1" == "4" (
   SET TCLVER=4
   SET TCLDIR=%TCLDRV%:\TCL
   SET TCL_LIBRARY=%TCLDIR%\TCL8.4
   SET TK_LIBRARY=%TCLDIR%\TK8.4
   SHIFT
)
REM VERSION 8.5
IF "%1" == "5" (
   SET TCLVER=5
   SET TCLDIR=%TCLDRV%:\TCL
   SET TCL_LIBRARY=%TCLDIR%\TCL8.5
   SET TK_LIBRARY=%TCLDIR%\TK8.5
   SHIFT
)
REM VERSION 8.6
IF "%1" == "6" (
   SET TCLVER=6
   SET TCLDIR=%TCLDRV%:\TCL
   SET TCL_LIBRARY=%TCLDIR%\TCL8.6
   SET TK_LIBRARY=%TCLDIR%\TK8.6
   SHIFT
)
REM VERSION 8.6.6 - USES A DIFFERENT INSTALLATION STRUCTURE
IF "%1" == "6.6" (
   SET TCLVER=6.6
   SET TCLDIR=%TCLDRV%:\ACTIVETCL
   SET TCL_LIBRARY=%TCLDIR%\TCL8.6
   SET TK_LIBRARY=%TCLDIR%\TK8.6
   SHIFT
)
REM
REM STEP 3: THE FOLLOWING ENVIRONMENT VARIABLES SHOULD BE SET
REM         DURING THE INSTALLATION PROCESS, SO DO NOT NEED TO
REM         BE SET IN THIS BATCH FILE.
REM
REM         DPDIR    - THE PATH FOR THE DATAPLOT INSTALLATION
REM         DATAPLO$ - LOCATION FOR DATAPLOT REFERENCE FILES
REM         FED$     - LOCATION FOR FED FILES
REM         XDP_FILE - LOCATION FOR GUI SCRIPT FILES
REM         XDP_CODE - LOCATION FOR GUI MENU FILES
REM
REM
REM
REM STEP 5: CHECK TO SEE IF TCL/TK APPEARS TO BE INSTALLED.
ECHO "BEFORE TEST VERSION: %TCLVER"
IF "%TCLVER%" == "3" (
   IF EXIST "%TCLDIR%\bin\wish83.exe" GOTO RUNWISH
)
IF "%TCLVER%" == "4" (
   IF EXIST "%TCLDIR%\bin\wish84.exe" GOTO RUNWISH
)
IF "%TCLVER%" == "5" (
   IF EXIST "%TCLDIR%\bin\wish85.exe" GOTO RUNWISH
)
IF "%TCLVER%" == "6" (
   IF EXIST "%TCLDIR%\bin\wish86.exe" GOTO RUNWISH
)
IF "%TCLVER%" == "6.6" (
   IF EXIST "%TCLDIR%\bin\wish86t.exe" GOTO RUNWISH
)
ECHO " "
ECHO "ERROR: CANNOT FIND THE REQUESTED VERSION OF TCL/TK."
ECHO "       REQUESTED DRIVE    = %TCLDRV%"
ECHO "       REQUESTED VERSION  = %TCLVER%"
ECHO "       TCLDIR             = %TCLDIR%"
ECHO "HIT ANY KEY TO EXIT"
PAUSE
EXIT
REM
:RUNWISH
REM THE FOLLOWING LINE INITIATES THE DATAPLOT GUI.  NOTE THAT THE
REM "-right" OPTION JUSTIFIES THE WINDOWS TO THE RIGHT OF THE SCREEN.
REM YOU CAN CHANGE THIS TO "-left" FOR LEFT JUSTIFICATION OR OMIT FOR
REM CENTER JUSTIFICATION.  THIS IS A MATTER OF TASTE.
REM
IF "%TCLVER%" == "6.6" (
   "%TCLDIR%\bin\wish.exe" "%DPDIR%frscript\xdataplot.wish" -pc -right %1 %2 %3
) ELSE (
   "%TCLDIR%\bin\wish.exe" "%DPDIR%frscript\xdataplot.wish" -pc -right %1 %2 %3
)
EXIT
