ECHO OFF
REM THIS FILE CONTAINS A BATCH JOB THAT CAN BE EXECUTED FROM A SHORTCUT
REM TO RUN THE DATAPLOT GUI USING THE ACTIVE STATE VERSION OF TCL/TK.
REM
REM THIS BATCH FILE ASSUMES THE CURRENT RELEASE AS OF AUGUST, 2019
REM OF TCL/TK (VERSION 8.6.8).  HOWEVER, IT SHOULD WORK WITH ANY
REM VERSION STARTING WITH 8.6.6.  IF YOU ARE RUNNING AN EARLER
REM VERSION OF TCL/TK, YOU WILL NEED TO EDIT THE DIRECTORY WHERE
REM DATAPLOT IS EXPECTING TO FIND  TCL/TK.  ALSO, THIS SCRIPT
REM ASSUMES TCL/TK IS INSTALLED ON THE "C" DRIVE.  YOU WILL NEED
REM TO EDIT THE "TCLDRV" VARIABLE IF A DIFFERENT DRIVE IS USED.
REM
REM EDIT THE FOLLOWING LINE IF TCL/TK NOT INSTALLED ON C DRIVE.
REM
SET TCLDRV=C
REM
REM DEFINE THE LOCATION FOR TCL/TK.  FOLLOWING FOR 8.6.6.
REM
SET TCLVER=6.6
SET TCLDIR=%TCLDRV%:\ACTIVETCL
SET TCL_LIBRARY=%TCLDIR%\TCL8.6
SET TK_LIBRARY=%TCLDIR%\TK8.6
REM
REM FOLLOWING ARE FOR TCL/TK 8.6 PRIOR TO 8.6.6
REM
REM FOLLOWING ARE FOR TCL/TK 8.5
REM SET TCLVER=5
REM SET TCLDIR=%TCLDRV%:\TCL
REM SET TCL_LIBRARY=%TCLDIR%\TCL8.5
REM SET TK_LIBRARY=%TCLDIR%\TK8.5
REM
REM VERSION 8.6 (PRIOR TO 8.6.6)
REM
REM SET TCLVER=6
REM SET TCLDIR=%TCLDRV%:\TCL
REM SET TCL_LIBRARY=%TCLDIR%\TCL8.6
REM SET TK_LIBRARY=%TCLDIR%\TK8.6
REM
REM THE FOLLOWING ENVIRONMENT VARIABLES SHOULD BE SET DURING THE
REM INSTALLATION PROCESS, SO DO NOT NEED TO BE SET IN THIS BATCH FILE.
REM
REM     DPDIR    - THE PATH FOR THE DATAPLOT INSTALLATION
REM     DATAPLO$ - LOCATION FOR DATAPLOT REFERENCE FILES
REM     FED$     - LOCATION FOR FED FILES
REM     XDP_FILE - LOCATION FOR GUI SCRIPT FILES
REM     XDP_CODE - LOCATION FOR GUI MENU FILES
REM
REM CHECK TO SEE IF TCL/TK APPEARS TO BE INSTALLED.
REM
REM IF "%TCLVER%" == "5" (
REM    IF EXIST "%TCLDIR%\bin\wish85.exe" GOTO RUNWISH
REM )
REM IF "%TCLVER%" == "6" (
REM    IF EXIST "%TCLDIR%\bin\wish86.exe" GOTO RUNWISH
REM )
IF "%TCLVER%" == "6.6" (
   IF EXIST "%TCLDIR%\bin\wish86.exe" GOTO RUNWISH
)
ECHO " "
ECHO "ERROR: CANNOT FIND THE REQUESTED VERSION OF TCL/TK."
ECHO "       REQUESTED DRIVE    = %TCLDRV%"
ECHO "       REQUESTED VERSION  = %TCLVER%"
ECHO "       TCLDIR             = %TCLDIR%"
ECHO "HIT ANY KEY TO EXIT"
PAUSE
EXIT
REM
:RUNWISH
REM THE FOLLOWING LINE INITIATES THE DATAPLOT GUI.  NOTE THAT THE
REM "-right" OPTION JUSTIFIES THE WINDOWS TO THE RIGHT OF THE SCREEN.
REM YOU CAN CHANGE THIS TO "-left" FOR LEFT JUSTIFICATION OR OMIT FOR
REM CENTER JUSTIFICATION.  THIS IS A MATTER OF TASTE.
REM
"%TCLDIR%\bin\wish.exe" "%DPDIR%frscript\xdataplot.wish" -pc -right %1 %2 %3
EXIT
